﻿/* Generated with Author-it 5.0.12.670  7/4/2008 4:43:25 PM */
Page=new Array();Page[0]=new Array("ISBN: N/A ","Parallels ","660 SW 39th Street","Suite 205","Renton, Washington 98057","USA","Phone: +1 (425) 282 6400 ","Fax: +1 (425) 282 6444 ","© Copyright 2007 Ensim Corporation. All rights reserved.","© Copyright 2008 Parallels, Inc. All rights reserved.","Distribution of this work or derivative of this work in any form is prohibited unless prior written permission is obtained from the copyright holder.","Product and service names mentioned herein are the trademarks of their respective owners.","Legal and Copyright Notice","epw_copyright_notice.htm");
Page[1]=new Array("Before you start using this guide, it is important to understand the documentation conventions used in it. ","The following kinds of formatting in the text identify special information.","Formatting convention","Type of Information","Example","Special Bold","Items you must select, such as menu options, command buttons, or items in a list.","Go to the System tab.","Titles of chapters, sections, and subsections.","Read the Basic Administration chapter.","Italics","Used to emphasize the importance of a point, to introduce a term or to designate a command line placeholder, which is to be replaced with a real name or value.","The system supports the so called wildcard character search.","Monospace","The names of commands, files, directories, and domain names.","The license file is located in the http://docs/common/licenses directory.","Preformatted","On-screen computer output in your command-line sessions; source code in XML, C++, or other programming languages.","# ls &#0150;al /files","total 14470","Preformatted Bold","What you type, contrasted with on-screen computer output.","# cd /root/rpms/php","CAPITALS","Names of keys on the keyboard.","SHIFT, CTRL, ALT","KEY+KEY","Key combinations for which the user must press and hold down one key and then press another.","CTRL+P, ALT+F4","Typographical Conventions","typographical_conventions.htm");
Page[2]=new Array("If you have found a mistake in this guide, or if you have suggestions or ideas on how to improve this guide, please send your feedback using the online form at http://www.parallels.com/en/support/usersdoc/. Please include in your report the guide's title, chapter and section titles, and the fragment of text in which you have found an error.","Feedback","feedback.htm");
Page[3]=new Array("For languages and directory names that map to each language, see the language and directory names table in Languages and Directory Names. Please review the list and replace all instances of &lt;language_directory&gt; in this document with the corresponding directory name values from the Directory name column.","Important: Parallels Pro Control Panel for Windows does not support International Domain Names (IDN). It also does not provide support for Microsoft® Windows 95, Windows 98, and Windows ME client tools localized to double-byte character sets.","Note: For simplicity, we will refer to Parallels Pro Control Panel 10.3.3 for Windows as &quot;Parallels Pro Control Panel&quot; throughout this document.","Localization Guidelines","7716.htm");
Page[4]=new Array("The translation kit for Parallels Pro Control Panel includes this guide and the following components.","Component","Description","pcpw_source_strings.zip","Source strings in text file format.","OnlineHelpSDK_Pack.exe","Self-extracted package for building Online help from the translated help files.","Translation Kit Contents","7721.htm");
Page[5]=new Array("The text strings are provided in the epw_source_strings.zip file. You will need to use the WinZip® utility to decompress and open the zip file and extract the files within, then use a text editor such as Notepad to translate the text strings.","The following files are packaged in the zip file:","COLDFUSION.strings.po","DNS.strings.po","MAIL.strings.po","platform.strings.po","URCHIN4.strings.po","WVH.strings.po","wwp.DNS.strings.po","wwp.MAIL.strings.po","wwp.platform.strings.po","wwp.URCHIN4.strings.po","wwp.WVH.strings.po","To localize the strings and offer a new language in the Parallels Pro Control Panel, you need to translate the strings, then install the translated strings on the Parallels Pro Control Panel server.","The text strings used in the Parallels Pro Control Panel are stored in text files as key-value sets. The key represents the unique identifier for the message string (msgid) and the value (msgstr) represents the actual message string displayed to the user.","The following is a sample entry from a localized (French) file.","msgid &quot;MSGID_254&quot;","msgstr &quot;Nouveau nom de l'organisation&quot;","where:","The msgid line includes the message identifier.","The msgstr line includes the actual message string (the French version of the source English string).","Special Guidelines for Localizing the Text String Files","When modifying the text files, follow these guidelines.","Only modify the actual message string in the msgstr line.","Do not modify the identifier in the msgid line.","Do not translate API (application programming interface) calls or classes. These appear as compound words, such as GetFromDB, QuotaGroups, QuotaTypes, and ContainedType; they are used by the API, which is not translated.","Do save the translated files with the correct Unicode encoding.","Use UTF8Encoding (UTF8) for all Latin character sets (for example, Dutch, English, French, German, Portuguese, and Spanish) and UTF16Encoding (UTF16) for all non-Latin character sets (for example, Japanese).","Localizing the Text String Files","7723.htm");
Page[6]=new Array("After you have translated the files, you can install them on the Parallels Pro Control Panel server. This enables you to view the translated strings when you log on to the control panel.","To install the translated files:","Remotely login to the Parallels Pro Control Panel server using Remote Desktop <br>(How-to article: http://www.microsoft.com/windowsxp/pro/using/howto/gomobile/remotedesktop/default.asp).","Transfer the translated files onto the Parallels Pro Control Panel server.","Create a directory with the name &lt;language_directory&gt; in the following locations:","C:\\Program Files\\Ensim\\WEBppliance\\cp\\admin\\resources\\&lt;language_directory&gt;","C:\\Program Files\\Ensim\\WEBppliance\\cp\\admin\\siteadmin\\serviceComponents\\filemanager\\FMWeb\\&lt;language_directory&gt;","Note: &lt;language_directory&gt; is a special name used to map directory names to available languages. For the complete list of languages and corresponding directory names, see the language directory name table (Languages and Directory Names section). To get the list of supported languages, type the command reglangpack -l on the Parallels Pro Control Panel server.","Copy all the translated files to C:\\Program Files\\Ensim\\WEBppliance\\cp\\admin\\resources\\&lt;language_directory&gt;.","If there is an older version of a file, the new version should replace it. From the DOS shell, do the following:","Change directory (cd) to <br>C:\\Program Files\\Ensim\\WEBppliance\\cp\\admin\\resources.","Type the following commands.","net stop w3svc","reglangpack &#0150;s &lt;epserver&gt;","where &lt;epserver&gt; is the name or IP address of the Parallels Pro Control Panel server.","net start w3svc","Change directory (cd) to C:\\Program Files\\Ensim\\WEBppliance\\cp\\admin\\siteadmin\\serviceComponents\\filemanager\\FMWeb\\resources and repeat step b in the preceding step.","The translated files are installed and you will be able to view the translated strings when you log on to the control panel.","Installing the Translated Text String Files","7725.htm");
Page[7]=new Array("The Parallels Pro Control Panel online Help files are provided in the self-extracted package OnlineHelpSDK_package.exe.","To view the Help system in languages other than English, you must translate the Help content into the language of choice, and then build a package to install the translated files. ","Note: It is not possible to add a new language to the existing Online Help in English. After you translated the guide, you need to replace the English online help with the translated files.","Online Help Location","Parallels Pro Control Panel for Windows Online Help is located in the directory $Parallels Pro Control Panel Install Dir$\\cp\\admin\\help. If you installed Parallels Pro Control Panel under C:\\Program Files, the path for the cp\\admin directory will be installed into C:\\Program Files\\Ensim\\WEBppliance\\cp\\admin\\help.","The online help guides are located in the following subfolders:","ispadmin - general help for Server Administrator.","ispadmin\\Services\\ - subfolder for Server Administrator's Web Hosting and DNS services help for Server Administrator","ispadmin\\Services\\WebHosting\\&lt;version&gt; - Web hosting service help for Server Administrator, where &lt;version&gt; is Parallels Pro Control Panel version (currently, 10.3.3).","ispadmin\\Services\\DNSService\\&lt;version&gt; - Web hosting service help for Server Administrator","respadmin - general help for Reseller Administrator.","resadmin\\Services\\ - subfolder for Reseller Administrator's Web Hosting and DNS services help","resadmin\\Services\\WebHosting\\&lt;version&gt; - Web hosting service help for Reseller Administrator","resadmin\\Services\\DNSService\\&lt;version&gt; - Web hosting service help for Reseller Administrator","siteadmin - general help for Site Administrator.","sitedmin\\Services\\ - subfolder for Site Administrator's Web Hosting and DNS services help","siteadmin\\Services\\WebHosting\\&lt;version&gt; - Web hosting service help for Site Administrator","siteadmin\\Services\\DNSService\\&lt;version&gt; - Web hosting service help for Site Administrator","useradmin - general help for User Administrator.","useradmin\\Services\\ - subfolder for User Administrator's Web Hosting and DNS services help","useradmin\\Services\\WebHosting\\&lt;version&gt; - Web hosting service help for User Administrator","Localizing the Online Help Files","7727.htm");
Page[8]=new Array("To translate the online help files:","Create a folder and download the OnlineHelpSDK_package.exe file there. ","Run OnlineHelpSDK_package.exe. This will extract the Build_SDK subfolder in the current folder. The up-to-date version of Online Help is located in the Build_SDK\\Wix\\Help\\cp\\admin\\Help\\ folder. The structure of the online help folders is the same as of the Online Help installed in the Parallels Pro Control Panel.","Translate the online help *.htm files into your language, preserving the file names and folder structure in the Build_SDK\\Wix\\Help\\cp\\admin\\Help\\ folder.","Note: Some .htm files are generated for navigation purposes and don't need to be translated.","Note: To make the Search option in the Online Help index page work in your language, you need to translate the English text in the Pages array in the dhtml_search.js files across the Online Help.","To build a package of translated files:","Make sure you have .NET Framework 2.0 installed. You can download it from http://www.microsoft.com/downloads/details.aspx?FamilyID=0856EACB-4362-4B0D-8EDD-AAB15C5E04F5 and install.","Download and install NAnt, the .NET build tool, from http://nant.sourceforge.net/.","Download and install the WiX Windows installer, version 2.x, from http://wix.sourceforge.net/.","In the Build_SDK folder, edit the file buildHelpSDK.bat. In the first line of the file, set the paths to the folders with NANT and Wix installations (the latter comes with the SDK and located in the Build_SDK\\Soft\\Wix folder). The file will look like:","set path=%path%;c:\\Program Files\\nant\\bin\\;c:\\Program Files\\wix\\;","nant -buildfile:HelpSDK.build","Run buildHelpSDK.bat:","buildHelpSDK.bat","This will build the MSI package named Custom_Parallels_Pro_Online_Help-10.3.3.msi. Now you can install the localized help package instead of the default Online Help.","To install the package with localized online help:","Uninstall the default Parallels Pro 10..3.1 for Windows Online Help from the Windows' Add or Remove Programs interface. ","Run and install the built Custom_Parallels_Pro_Online_Help-10.3.3.msi. ","Translating and Installing Online Help Files","7729.htm");
Page[9]=new Array("The following table provides a complete list of languages and corresponding directory names.","Language","Directory name<br>&lt;language_directory&gt;","Afrikaans","af","Afrikaans (South Africa)","af-ZA","Albanian","sq","Albanian (Albania)","sq-AL","Arabic","ar","Arabic (Algeria)","ar-DZ","Arabic (Bahrain)","ar-BH","Arabic (Egypt)","ar-EG","Arabic (Iraq)","ar-IQ","Arabic (Jordan)","ar-JO","Arabic (Kuwait)","ar-KW","Arabic (Lebanon)","ar-LB","Arabic (Libya)","ar-LY","Arabic (Morocco)","ar-MA","Arabic (Oman)","ar-OM","Arabic (Qatar)","ar-QA","Arabic (Saudi Arabia)","ar-SA","Arabic (Syria)","ar-SY","Arabic (Tunisia)","ar-TN","Arabic (U.A.E.)","ar-AE","Arabic (Yemen)","ar-YE","Armenian","hy","Armenian (Armenia)","hy-AM","Azeri","az","Azeri (Cyrillic) (Azerbaijan)","az-AZ-Cyrl","Azeri (Latin) (Azerbaijan)","az-AZ-Latn","Basque","eu","Basque (Basque)","eu-ES","Belarusian","be","Belarusian (Belarus)","be-BY","Bulgarian","bg","Bulgarian (Bulgaria)","bg-BG","Catalan","ca","Catalan (Catalan)","ca-ES","Chinese (Hong Kong S.A.R.)","zh-HK","Chinese (Macau S.A.R.)","zh-MO","Chinese (People's Republic of China)","zh-CN","Chinese (Simplified)","zh-CHS","Chinese (Singapore)","zh-SG","Chinese (Taiwan)","zh-TW","Chinese (Traditional)","zh-CHT","Croatian","hr","Croatian (Croatia)","hr-HR","Czech","cs","Czech (Czech Republic)","cs-CZ","Danish","da","Danish (Denmark)","da-DK","Divehi","div","Divehi (Maldives)","div-MV","Dutch","nl","Dutch (Belgium)","nl-BE","Dutch (Netherlands)","nl-NL","English","en","English (Australia)","en-AU","English (Belize)","en-BZ","English (Canada)","en-CA","English (Caribbean)","en-CB","English (Ireland)","en-IE","English (Jamaica)","en-JM","English (New Zealand)","en-NZ","English (Republic of the Philippines)","en-PH","English (South Africa)","en-ZA","English (Trinidad and Tobago)","en-TT","English (United Kingdom)","en-GB","English (United States)","en-US","English (Zimbabwe)","en-ZW","Estonian","Estonian (Estonia)","Faroese","Faroese (Faroe Islands)","Farsi","Farsi (Iran)","Finnish","Finnish (Finland)","French","French (Belgium)","French (Canada)","French (France)","French (Luxembourg)","French (Principality of Monaco)","French (Switzerland)","FYRO Macedonian","FYRO Macedonian (Former Yugoslav Republic of Macedonia)","Galician","Galician (Galician)","Georgian","Georgian (Georgia)","German","German (Austria)","German (Germany)","German (Liechtenstein)","German (Luxembourg)","German (Switzerland)","Greek","Greek (Greece)","Gujarati","Gujarati (India)","Hebrew","Hebrew (Israel)","Hindi","Hindi (India)","Hungarian","Hungarian (Hungary)","Icelandic","Icelandic (Iceland)","Indonesian","Indonesian (Indonesia)","Invariant Language (Invariant Country)","Italian","Italian (Italy)","Italian (Switzerland)","Japanese","Japanese (Japan)","Kannada","Kannada (India)","Kazakh","Kazakh (Kazakhstan)","Konkani","Konkani (India)","Korean","Korean (Korea)","Kyrgyz","Kyrgyz (Kyrgyzstan)","Latvian","Latvian (Latvia)","Lithuanian","Lithuanian (Lithuania)","Malay","Malay (Brunei Darussalam)","Malay (Malaysia)","Marathi","Marathi (India)","Mongolian","Mongolian (Mongolia)","Norwegian","Norwegian (Bokmеl) (Norway)","Norwegian (Nynorsk) (Norway)","Polish","Polish (Poland)","Portuguese","Portuguese (Brazil)","Portuguese (Portugal)","Punjabi","Punjabi (India)","Romanian","Romanian (Romania)","Russian","Russian (Russia)","Sanskrit","Sanskrit (India)","Serbian (Cyrillic) (Serbia)","Serbian (Latin) (Serbia)","Slovak","Slovak (Slovakia)","Slovenian","Slovenian (Slovenia)","Spanish","Spanish (Argentina)","Spanish (Bolivia)","Spanish (Chile)","Spanish (Colombia)","Spanish (Costa Rica)","Spanish (Dominican Republic)","Spanish (Ecuador)","Spanish (El Salvador)","Spanish (Guatemala)","Spanish (Honduras)","Spanish (Mexico)","Spanish (Nicaragua)","Spanish (Panama)","Spanish (Paraguay)","Spanish (Peru)","Spanish (Puerto Rico)","Spanish (Spain)","Spanish (Uruguay)","Spanish (Venezuela)","Syriac","Syriac (Syria)","Swahili","Swahili (Kenya)","Swedish","Swedish (Finland)","Swedish (Sweden)","Tamil","Tamil (India)","Tatar","Tatar (Russia)","Telugu","Telugu (India)","Thai","Thai (Thailand)","Turkish","Turkish (Turkey)","Ukrainian","Ukrainian (Ukraine)","Urdu","Urdu (Islamic Republic of Pakistan)","Uzbek","Uzbek (Cyrillic) (Uzbekistan)","Uzbek (Latin) (Uzbekistan)","Vietnamese","Vietnamese (Viet Nam)","Appendix A. Languages and Directory Names","7719.htm");
var PageCount=10;

function search(SearchWord){
var Result="";
var NrRes=0;
Result='<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">\n';
Result+="<html>\n";
Result+="<head>\n";
Result+="<title>Search Results</title>\n";
Result+="<meta http-equiv='Content-Type' content='text/html; charset=utf-8'>\n";
Result+='<script language="javascript" type="text/javascript" charset="utf-8" src="dhtml_search.js"></script>\n';
Result+='<link rel="stylesheet" type="text/css" href="stylesheet.css">\n';
Result+="</head>\n";
Result+="<body onload='javascript:document.SearchForm.SearchText.focus()'>\n";


/* old */ /*

Result+='<p class="searchDetails">Enter a keyword or phrase';

Result+='<form name="SearchForm" action="javascript:search(document.SearchForm.SearchText.value)">';
if(SearchWord.length>=1){
   while(SearchWord.indexOf("<")>-1 || SearchWord.indexOf(">")>-1 || SearchWord.indexOf('"')>-1){
       SearchWord=SearchWord.replace("<","&lt;").replace(">","&gt;").replace('"',"&quot;");
   }
}
Result+='<input type="text" name="SearchText" size="25" value="' + SearchWord + '" />';
Result+='&nbsp;<input type="submit" value="&nbsp;go&nbsp;"/></form>';
Result+='</p>\n';
*/ 
/* new */


Result+='<form name="SearchForm" action="javascript:search(document.SearchForm.SearchText.value)">';
Result+='<p class="searchDetails">Enter a keyword or phrase';

if(SearchWord.length>=1){
   while(SearchWord.indexOf("<")>-1 || SearchWord.indexOf(">")>-1 || SearchWord.indexOf('"')>-1){
       SearchWord=SearchWord.replace("<","&lt;").replace(">","&gt;").replace('"',"&quot;");
   }
}

Result+='<input type="text" name="SearchText" class="inputText" value="' + SearchWord + '" />';
Result+='&nbsp;<input type="submit" value="&nbsp;go&nbsp;"/>';
Result+='</p>\n';
Result+='</form>\n';

/* end */



if(SearchWord.length>=1){
   SearchWord=SearchWord.toLowerCase();
   this.status="Searching, please wait...";
   Result+="<table border='0' cellpadding='0' cellspacing='0' class='tocTable' width='90%'>";

   for(j=0;j<PageCount;j++){
       k=Page[j].length-1;
       for(i=0;i<k;i++){
           WordPos=Page[j][i].toLowerCase().indexOf(SearchWord);
           if(WordPos>-1){
                NrRes++;
               break; }}}

   Result+="<tr><td class='search'><p class='searchFound'>" + NrRes + " results found</p></td></tr>";

   for(j=0;j<PageCount;j++){
       k=Page[j].length-1;
       for(i=0;i<k;i++){
           WordPos=Page[j][i].toLowerCase().indexOf(SearchWord);
           if(WordPos>-1){

               FoundWord=Page[j][i].substr(WordPos,SearchWord.length);
               NrRes++;
               Result+="<tr><td class='search'><p class='searchResults'>";
               Result+="<a target='BODY' href='"+Page[j][k]+"'>"+Page[j][k-1].replace(FoundWord,"<span class='searchFoundWord'>"+FoundWord+"</span>")+"</a><br/>\n";

               if(i<k-1){
                   if(Page[j][i].length>350){
                       Result+="..."+Page[j][i].substr(WordPos-100,200+FoundWord.length).replace(FoundWord,"<span class='searchFoundWord'>"+FoundWord+"</span>")+"...\n";
                   }
                   else{
                       Result+=Page[j][i].replace(FoundWord,"<span class='searchFoundWord'>"+FoundWord+"</span>")+"\n";
                   }
               }
               Result+="</p></td></tr>";
               break;			   
           }		   
       }	   
   }
     
   Result+="</table>";
   

}

Result+="</body></html>";
this.status="";
this.document.open();
this.document.write(Result);
this.document.close();
}